=begin
Copyright 2013, Chris Fullmer
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Chris Fullmer with Stepped colorization by ICEPAM.
Organization - www.ChrisFullmer.com and distributed on the SketchUp Extension Warehouse and smustard.com
Name - Extended Views
SU Version - 2013, 8, 7

Description
This script creates new standard views that support user defined axes.  If you have change the axis 
of the model, these views will align to the current model axis, unlike th SU standard views which always 
go to the world axis.

Usage
Located in Plugins>Chris Fullmer Tools>Extended Standard Views.  
Or the toolbar that looks like regular Views, but the icons are blue.

History
1.0:: 2009-05-18
   * First release
1.1:: 2009-05-18
   * Fixed bug that crashed SketchUp when the plugin was used inside a group or component edit.  oops!
   * Fixed bug that made the icons not work when the script was being used in conjunction with organizer.
1.2.0 2013-05-20
  * EW Compatible
  * Trapped a few errors
  * Made it work on perfect spheres
=end


module CLF_Extensions_NS

  module CLF_Extended_Views

    require 'sketchup.rb'
    require 'extensions.rb'
    
    NAME = "clf_extended_views"
    UNAME = "CLF Extended Views"
    MENU_NAME = "Extended Views"
    version = "1.2.0"           
    desc = "This plugin duplicates SketchUp standard views, but it obeys the current model axis and adds bottom view functionailty."
    copy_year = "2013"
    author = "Chris Fullmer"
    
#------edit above--------------------------------------------------------------- 

    
    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_menus.rb"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > Chris Fullmer Tools > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year
     
    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )
    
  end
  
end  