# See the loader file for license and author info

module CLF_Extensions_NS
#------
	module CLF_Extended_Views
    require 'sketchup.rb'
    require NAME+'/'+NAME+'_data.rb'
  end
#------
  if !file_loaded?('clf_menu2_loader')
    @@clf_tools_menu = UI.menu("Plugins").add_submenu("Chris Fullmer Tools")
  end
    
	#------New menu Items---------------------------
	if !file_loaded?('clf_ew_loader')
		@@clf_ew_menu = @@clf_tools_menu.add_submenu("-=Extension Warehouse=-")
    @@clf_ew_menu.add_separator
		@@clf_ew_menu.add_item("My Extension Warehouse Store"){UI.openURL "http://extensions.sketchup.com/user/46/store"}
    @@clf_tools_menu.add_separator
    @@clf_ew_menu.add_separator
	end
    @@clf_ew_menu.add_item(CLF_Extended_Views::MENU_NAME+" Page"){UI.openURL "http://extensions.sketchup.com/content/clf-extended-views"}
	#------------------------------------------------

  if !file_loaded?(__FILE__)

    sub_menu = @@clf_tools_menu.add_submenu(CLF_Extended_Views::MENU_NAME) 




    cmd1 = UI::Command.new("Iso") { CLF_Extended_Views.main(0) }
    sub_menu.add_item cmd1   
    cmd1.small_icon = "./images/iso_small.png"
    cmd1.large_icon = "./images/iso.png"
    cmd1.tooltip = "Isometric View"     

    cmd2 = UI::Command.new("Top") { CLF_Extended_Views.main(1) }
    sub_menu.add_item cmd2    
    cmd2.small_icon = "./images/top_small.png"
    cmd2.large_icon = "./images/top.png"   
    cmd2.tooltip = "Top View"     
    
    cmd3 = UI::Command.new("Front") { CLF_Extended_Views.main(2) }
    sub_menu.add_item cmd3    
    cmd3.small_icon = "./images/front_small.png"
    cmd3.large_icon = "./images/front.png"   
    cmd3.tooltip = "Front View"      
       
    cmd4 = UI::Command.new("Right") { CLF_Extended_Views.main(3) }
    sub_menu.add_item cmd4   
    cmd4.small_icon = "./images/right_small.png"
    cmd4.large_icon = "./images/right.png"
    cmd4.tooltip = "Right View"
    
    cmd5 = UI::Command.new("Back") { CLF_Extended_Views.main(4) }
    sub_menu.add_item cmd5
    cmd5.small_icon = "./images/back_small.png"
    cmd5.large_icon = "./images/back.png"
    cmd5.tooltip = "Back View"
    
    cmd6 = UI::Command.new("Left") { CLF_Extended_Views.main(5) }
    sub_menu.add_item cmd6
    cmd6.small_icon = "./images/left_small.png"
    cmd6.large_icon = "./images/left.png"
    cmd6.tooltip = "Left View"
    
    cmd7 = UI::Command.new("Bottom") { CLF_Extended_Views.main(6) }
    sub_menu.add_item cmd7
    cmd7.small_icon = "./images/bottom_small.png"
    cmd7.large_icon = "./images/bottom.png"
    cmd7.tooltip = "Bottom View"
       
    
    toolbar = UI::Toolbar.new(CLF_Extended_Views::MENU_NAME)
    toolbar = toolbar.add_item cmd1
    toolbar = toolbar.add_item cmd2
    toolbar = toolbar.add_item cmd3
    toolbar = toolbar.add_item cmd4
    toolbar = toolbar.add_item cmd5
    toolbar = toolbar.add_item cmd6
    toolbar = toolbar.add_item cmd7
    
    state = toolbar.get_last_state 
    if (state == TB_VISIBLE)
        toolbar.restore
        # Per bug 2902434, adding a timer call to restore the toolbar. This
        # fixes a toolbar resizing regression on PC as the restore() call
        # does not seem to work as the script is first loading.
        UI.start_timer(0.1, false) {
          toolbar.restore
        }
    end 

  end
 
  file_loaded('clf_ew_loader')    
  file_loaded('clf_menu2_loader')
  file_loaded(__FILE__)
end
